<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	
   $num1 =$_POST['elrfc'];
   $num2 =$_POST['voucher'];



     
$totregs=0;
	 //$status="";

   
$qa = "SELECT id_inver, rfc, nombre, appat, apmat, estatus_idestatus, ciudad FROM inversionista join voucher on inversionista.id_inver=voucher.id_inv WHERE idv = '$num2'";
   $ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

   if(mysqli_affected_rows($conexion))
   {
   	$ra = mysqli_fetch_object($ca);
	$id = $ra->id_inver;
    $rfc = $ra->rfc;
	$nombre = $ra->nombre;
	$apat = $ra->appat;
	$amat = $ra->apmat;
    $estatus = $ra->estatus_idestatus;}
    
echo"<center><br><br>$rfc $nombre $apat $amat Ciudad:$ra->ciudad;
			<br><br>";


$q2 = "SELECT idv, total, restante, status, idcd, observaciones, referencia, fecha_cre from voucher WHERE idv=$num2";
	
		 

$c2 = mysqli_query($conexion, $q2) or die ('ErrPP: '. mysqli_error($conexion));
  

   
if(!mysqli_affected_rows($conexion))
{
	echo "<center>No hay vouchers asociados.</center><br>";
    exit;
}
echo"

<font size=\"+3\" color=\"#594106\"><b>Info del Voucher</b></font>
			
			
	        <table cellpadding=\"1\" align=\"center\">
	 ";
	
	
echo " <tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">ID</font></th><th><font color=\"#FFFFFF\">Total</font></th><th><font color=\"#FFFFFF\">Restante</font></th><th><font color=\"#FFFFFF\">Status</font></th><th><font color=\"#FFFFFF\">CD Realizo</font></th><th><font color=\"#FFFFFF\">Reg Inicial</font></th><th><font color=\"#FFFFFF\">Observaciones</font></th><th><font color=\"#FFFFFF\">Creado el</font></th></tr>";

while (($objetoPP=mysqli_fetch_object($c2)) )
{$totalin+=$objetoPP->apagar; $stat=$objetoPP->status;$lareg=$objetoPP->idreg;

switch ($stat){
	case 0:
	$elstat="Por Pagar";
	break;
	case 1 :
	$elstat="Pagado";
	break;
	case 4 :
	$elstat="Producto";
	break;
	case 5 :
	$elstat="Voucher";
	break;
	
}

	echo "<tr bgcolor=\"#ece3bb\">
			 <td>$objetoPP->idv</td><td>$objetoPP->total</td><td>$objetoPP->restante </td><td>$elstat</td>
			 <td>$objetoPP->idcd</td><td>$objetoPP->referencia</td><td>$objetoPP->observaciones</td><td>$objetoPP->fecha_cre</td>            
			
		  </tr> 
		 ";
   
}
echo "</table><br>";



$q2 = "SELECT idreg, _real, apagar, fechap, cd, observaciones, rfc, nombre, appat, apmat, ciudad from regs2 join inversionista on inversionista.id_inver=regs2.id_inver WHERE observaciones LIKE '%$num2%'";
	
		 

$c2 = mysqli_query($conexion, $q2) or die ('ErrPP: '. mysqli_error($conexion));
  

   
if(!mysqli_affected_rows($conexion))
{
	echo "<center>No hay regalias asociadas.</center><br>";
    
}else{

echo"

<font size=\"+3\" color=\"#594106\"><b>Regalias Asociadas</b></font>
			
			
	        <table cellpadding=\"1\" align=\"center\">
	 ";
	
	
echo " <tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">ID</font><th><font color=\"#FFFFFF\">RFC</font><th><font color=\"#FFFFFF\">fecha</font><th><font color=\"#FFFFFF\">Nombre</font></th><th><font color=\"#FFFFFF\">CIUDAD</font></th><th><font color=\"#FFFFFF\">Total</font></th><th><font color=\"#FFFFFF\">Restante</font></th><th><font color=\"#FFFFFF\">Status</font></th><th><font color=\"#FFFFFF\">CD Realizo</font></th><th><font color=\"#FFFFFF\">Observaciones</font></th></tr>";

while (($objetoPP=mysqli_fetch_object($c2)) )
{$totalin+=$objetoPP->apagar; $elstat=$objetoPP->status;$lareg=$objetoPP->idreg;

switch ($stat){
	case 0:
	$elstat="Por Pagar";
	break;
	case 1 :
	$elstat="Pagado";
	break;
	case 4 :
	$elstat="Producto";
	break;
	case 5 :
	$elstat="Voucher";
	break;
	
}

	echo "<tr bgcolor=\"#ece3bb\">
			 <td>$objetoPP->idreg</td><td>$objetoPP->rfc</td><td>$objetoPP->fechap</td><td>$objetoPP->nombre $objetoPP->appat $objetoPP->apmat</td><td>$objetoPP->ciudad</td><td>$objetoPP->_real</td><td>$objetoPP->apagar </td><td>$elstat</td>
			 <td>$objetoPP->cd</td><td>$objetoPP->observaciones</td>            
			
		  </tr> 
		 ";$totregs+=$objetoPP->_real;
   
}
echo "</table><br>totalregs=$totregs<br><br>";

}
$q3 = "SELECT transacciones.idtransacciones,tipostr_idtipostr, usuarios_ci_idusuarios_ci, consec, rfc, nombre, appat, apmat, cantidad, puntos, voucher, ciudad, fechat from transacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver join asignavoucher on transacciones.idtransacciones=asignavoucher.idtransacciones join pagovta on pagovta.idtransacciones=transacciones.idtransacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE idv=$num2";
	
		 

$c3 = mysqli_query($conexion, $q3) or die ('ErrPP: '. mysqli_error($conexion));
  

   
if(!mysqli_affected_rows($conexion))
{
	echo "<center>No hay compras relacionada con este voucher.</center><br>";
    
}else{

echo"

<font size=\"+3\" color=\"#594106\"><b>Compras con este Voucher</b></font>
			
			
	        <table cellpadding=\"1\" align=\"center\">
	 ";
	
	
echo " <tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">Transaccion</font><th><font color=\"#FFFFFF\">fecha</font><th><font color=\"#FFFFFF\">Tipo</font><th><font color=\"#FFFFFF\">Pedido</font></th><th><font color=\"#FFFFFF\">RFC</font></th><th><font color=\"#FFFFFF\">Nombre</font></th><th><font color=\"#FFFFFF\">Ciudad</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th><th><font color=\"#FFFFFF\">Puntos</font></th><th><font color=\"#FFFFFF\">Voucher</font></th><th><font color=\"#FFFFFF\"></font></th></tr>";

while (($objetoPP=mysqli_fetch_object($c3)) )
{$totalin+=$objetoPP->apagar; $stat=$objetoPP->tipostr_idtipostr;$lareg=$objetoPP->idreg;

switch ($stat){
	case 10:
	$elstat="Venta";
	break;
	case 11 :
	$elstat="Salida";
	break;
	case 1 :
	$elstat="Cancelado";
	break;
	case 5 :
	$elstat="Voucher";
	break;
	
}$vouchi=$objetoPP->voucher;
$totrega+=$vouchi;

	echo "<tr bgcolor=\"#ece3bb\">
			 <td>$objetoPP->idtransacciones</td><td>$objetoPP->fechat</td><td>$elstat</td><td>$objetoPP->usuarios_ci_idusuarios_ci - $objetoPP->consec</td><td>$objetoPP->rfc </td><td>$objetoPP->nombre $objetoPP->appat $objetoPP->apmat</td><td>$objetoPP->ciudad</td><td>$objetoPP->cantidad</td><td>$objetoPP->puntos
			 <td>$objetoPP->voucher</td><td><form name=\"pagar\" action=\"infoped.php\"  target=\"_blank\" method=\"post\">
			<input type=hidden name=pedido value=$objetoPP->idtransacciones />
	<input type=hidden name=centro value=$objetoPP->usuarios_ci_idusuarios_ci />
	<input type=hidden name=id_inv value=$id /><input type=hidden name=tipon value=$a8 />
			<input type=\"submit\" value=\"VER MAS\" name=\"pago\"></form></td>           
			
		  </tr> 
		 ";
   
}
echo "</table><br><br>Total del Voucher Utilizado $totrega";

}	
	?>
	